org.apache.calcite.avatica

## Interface ConnectionProperty

All Known Implementing Classes:
  AvaticaRemoteConnectionProperty, BuiltInConnectionProperty

    public interface ConnectionProperty

Definition of a property that may be specified on the JDBC connect string. `BuiltInConnectionProperty` enumerates built-in properties, but there may be others; the list is not closed.

### Nested Class Summary

Nested Classes
`static class` `ConnectionProperty.Type` Data type of property.

### Method Summary

Methods
`String` `camelName()` The name of this property in camel-case.
`Object` `defaultValue()` Returns the default value of this property.
`String` `name()` The name of this property.
`boolean` `required()` Whether the property is mandatory.
`ConnectionProperty.Type` `type()` Returns the data type of this property.
`Class` `valueClass()` Class of values that this property can take.
`ConnectionConfigImpl.PropEnv` `wrap(Properties properties)` Wraps this property with a properties object from which its value can be obtained when needed.

### Method Detail

#### name

    String name()

The name of this property. (E.g. "MATERIALIZATIONS_ENABLED".)

#### camelName

    String camelName()

The name of this property in camel-case. (E.g. "materializationsEnabled".)

#### defaultValue

    Object defaultValue()

Returns the default value of this property. The type must match its data type.

#### type

    ConnectionProperty.Type type()

Returns the data type of this property.

#### wrap

    ConnectionConfigImpl.PropEnv wrap(Properties properties)

Wraps this property with a properties object from which its value can be obtained when needed.

#### required

    boolean required()

Whether the property is mandatory.

#### valueClass

    Class valueClass()

Class of values that this property can take. Most useful for `ConnectionProperty.Type.ENUM` properties.